- Qt 5.15
- Qt Core
- C++ Classes
- QLocale
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QLocale

The following members of class QLocale are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QString | formattedDataSize(qint64 bytes, int precision = 2, DataSizeFormats format = DataSizeIecFormat)
`(obsolete)` QTime | toTime(const QString &string, FormatType format, QCalendar cal) const
`(obsolete)` QTime | toTime(const QString &string, const QString &format, QCalendar cal) const

## Static Public Members

`(obsolete)` QList<Country> | countriesForLanguage(Language language)

## Member Function Documentation

### `[static]` QList<Country> QLocale::countriesForLanguage(Language language)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the list of countries that have entries for language in Qt's locale database. If the result is an empty list, then language is not represented in Qt's locale database.

This function was introduced in Qt 4.3.

See also matchingLocales().

### QString QLocale::formattedDataSize(qint64 bytes, int precision = 2, DataSizeFormats format = DataSizeIecFormat)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use the const version instead.

### QTime QLocale::toTime(const QString &string, FormatType format, QCalendar cal) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

This function was introduced in Qt 5.14.

### QTime QLocale::toTime(const QString &string, const QString &format, QCalendar cal) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

This function was introduced in Qt 5.14.